\usetikzlibrary{arrows.meta}

\begin{tikzpicture}[scale=5]
	% Axes, larger arrow head for positive direction
	\begin{scope}[{Latex[length=1mm]}-{Latex[length=3mm]}]
		% Left to right
		\draw (-0.25, 0.00, 0.00) -- (1.50, 0.00, 0.00);
		% Bottom to top
		\draw (0.00, -0.25, 0.00) -- (0.00, 1.50, 0.00);
		% Back to front
		% Note that end coordinate is slightly larger than the other axes
		% to account for perspective
		\draw (0.00, 0.00, -0.25) -- (0.00, 0.00, 1.75);
	\end{scope}

	\begin{scope}[
		draw=black,
		fill=blue!20,
		fill opacity=0.50,
	]
		% Back pane
		\filldraw
			(0, 0, 0)
			-- (1, 0, 0)
			-- (1, 1, 0)
			-- (0, 1, 0)
			-- cycle;

		% Bottom pane, relative to previous saved coordinate
		% (save each coordinate)
		% For more information, view the manual:
		% `\url{https://mirrors.ctan.org/graphics/pgf/base/doc/pgfmanual.pdf#subsection.11.1}`
		\filldraw
			(0, 0, 0)
			-- ++(1, 0, 0)
			-- ++(0, 0, 1)
			-- ++(-1, 0, 0)
			-- cycle;

		% Top pane, relative to previous saved coordinate
		% (save first coordinate only)
		\filldraw
			(0, 1, 0)
			-- +(1, 0, 0)
			-- +(1, 0, 1)
			-- +(0, 0, 1)
			-- cycle;

		% Left pane
		\filldraw
			(0, 0, 0)
			-- +(0, 1, 0)
			-- +(0, 1, 1)
			-- +(0, 0, 1)
			-- cycle;

		% Right pane
		\filldraw
			(1, 0, 0)
			-- +(0, 1, 0)
			-- +(0, 1, 1)
			-- +(0, 0, 1)
			-- cycle;

		% Front pane
		\filldraw
			(0, 0, 1)
			-- +(1, 0, 0)
			-- +(1, 1, 0)
			-- +(0, 1, 0)
			-- cycle;
	\end{scope}

	% Avoid repeating by naming coordinates
	\coordinate (origin) at (0.00, 0.00, 0.00);
	\coordinate (back bottom middle) at (0.50, 0.00, 0.00);
	\coordinate (center bottom middle) at (0.50, 0.00, 0.50);

	\filldraw[
		densely dashed,
		fill=red!20,
		fill opacity=0.50,
	]
		(origin)
		-- (back bottom middle)
		-- (center bottom middle)
		-- cycle;

	\begin{scope}[
		point/.style={
			fill,
			shape=circle,
			inner sep=1,
		},
		boxed/.style={
			rectangle,
			thick,
			draw=green!50!black!50,
			top color=white,
			bottom color=green!50!black!20,
		},
	]
		\node[point] at (origin) {};
		\node[point] at (back bottom middle) {};
		\node[point] at (center bottom middle) {};

		\node[anchor=south east] at (origin) {$(0, 0, 0)$};
		\node[anchor=south, xshift=-10pt] at (back bottom middle) {$(0.5, 0, 0)$};
		\node[anchor=north] at (center bottom middle) {$(0.5, 0, 0.5)$};

		\node[boxed, rounded corners=3] at (0.50, 1.25, 0.00) {Unit cube at origin};
	\end{scope}
\end{tikzpicture}
